<?php

require_once(__DIR__ . '/../Class/class.gestionFiche.php');

$typeU = $_SESSION['uType'];

$gestionFiche = new Class_gestionFiche($pdo);
$LesUtilisateurs = $gestionFiche->getLesUtilisateurs(); //RENVOIE LISTE USERS

// Gestion du selecteur selon le type user 
if ($typeU == "comptable") {
    if (isset($_REQUEST['selVisiteur'])) {
        $userId = $_REQUEST['selVisiteur'];
    } else {
        $userId = $LesUtilisateurs[0]['uId'];
    }
} else {
    $userId = $_SESSION['uId'];
}

//Pagination
if(isset($_GET['page']) && !empty($_GET['page'])){
    $currentPage = (int) strip_tags($_GET['page']);
}else{
    $currentPage = 1;
}

$pages = ceil($gestionFiche->get_nbRemboursement($userId) / $gestionFiche::$NB_LIGNES_PAGINATION);


$lesFiches = $gestionFiche->get_Page($currentPage, $userId);

include("vues/v_gestionFiches.php");
